| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Attributes

# IG::Lib::CommandLineApplicationScriptInterpreter Class Reference

Command-line interpreters adapted for executing script commands. More...

Inheritance diagram for IG::Lib::CommandLineApplicationScriptInterpreter:
[legend]
Collaboration diagram for IG::Lib::CommandLineApplicationScriptInterpreter:
[legend]

List of all members.

## Public Member Functions
override string | Run (string commandName, params string[] commandArguments)
| Runs the specified command with specified name, installed on the current application object.
virtual bool | Script_ContainsScriptCommand (string commandName)
| Returns true if the specified command is script command (i.e. its first argument is command-name and it is run through the Script_CommandAdapter object).
## Properties
SortedList< string, string > | Script_CommandHelpStrings`[get, set]`
| Contains help strings associated with script commands installed on the SCRIPT's interpreter. This is used to distinguish script commands form usual interpreter commands.
## Private Attributes
SortedList< string, string > | _script_CommandHelpStrings

## Detailed Description

Command-line interpreters adapted for executing script commands.

$A Igor Nov08;

## Member Function Documentation

override string IG::Lib::CommandLineApplicationScriptInterpreter::Run | ( | string | commandName,
|  | params string[] | commandArguments
| ) |  | `[inline, virtual]`

Runs the specified command with specified name, installed on the current application object.

Parameters:

  appName | Command name.
  commandArguments | Command arguments.

This command overrides the original Run commands in such a way that it treats script commands differently form the original interpreter commands.

If a command is script command (i.e. contained on the Script_CommandHelpStrings list) then its arguments will contain the command name, otherwise they will not.

Reimplemented from IG::Lib::CommandLineApplicationInterpreter.

virtual bool IG::Lib::CommandLineApplicationScriptInterpreter::Script_ContainsScriptCommand | ( | string | commandName | ) | `[inline, virtual]`

Returns true if the specified command is script command (i.e. its first argument is command-name and it is run through the Script_CommandAdapter object).

Parameters:

  commandName | Name of the command that is queried.

A command is considered script command if it is contained on the Script_CommandHelpStrings list.

## Member Data Documentation

SortedList<string, string> IG::Lib::CommandLineApplicationScriptInterpreter::_script_CommandHelpStrings`[private]`

## Property Documentation

SortedList<string, string> IG::Lib::CommandLineApplicationScriptInterpreter::Script_CommandHelpStrings`[get, set]`

Contains help strings associated with script commands installed on the SCRIPT's interpreter. This is used to distinguish script commands form usual interpreter commands.

The documentation for this class was generated from the following file:

- LoadableScriptBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events